Get Many Competences
| select | Array of strings Select Competence fields, comma-separated. (e.g. |
object Filters conditions per field. (e.g. | |
| limit | integer Limit amount of received Competences. (e.g. |
| offset | integer Offset amount of received Competences. (e.g. |
object Sort received Competences by field. (e.g. |
curl --request GET \ --url 'https://api.alexishr.com/v1/competence?select=SOME_ARRAY_VALUE&filters=SOME_OBJECT_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE&sort=SOME_OBJECT_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": [
- {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
], - "total": 500,
- "count": 50,
- "offset": 50,
- "relations": { }
}Create One Competence
| companyId required | string |
| type required | string |
| name required | string |
| description | string |
object (CreateScopeRequest) | |
| isRequired | boolean |
curl --request POST \ --url https://api.alexishr.com/v1/competence \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \ --header 'content-type: application/json' \ --data '{"companyId":"string","type":"string","name":"string","description":"string","scope":{"companyId":"5beadbdb01da0a0028a66e99","parentId":"507f1f77bcf86cd799439011","parentType":"DocumentFOlder","namespace":{"entity":"DocumentFolder","key":null},"excludeEmployeeScope":"[]","employeeScope":"[]","officeScope":"[]","groupScope":"[]","organizationScope":"[]","employmentTypeScope":"[]","entireCompany":true,"teamScope":"[]","filters":"[]","static":true},"isRequired":true}'
{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
}Get One Competence
| id required | string Resource Id Example: 507f1f77bcf86cd799439011 |
| select | Array of strings Select Competence fields, comma-separated. (e.g. |
curl --request GET \ --url 'https://api.alexishr.com/v1/competence/507f1f77bcf86cd799439011?select=SOME_ARRAY_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}, - "relations": { }
}Update One Competence
| id required | string Resource Id Example: 507f1f77bcf86cd799439011 |
| name | string |
| description | string |
object (UpdateScopeRequest) | |
| isRequired | boolean |
curl --request PATCH \ --url https://api.alexishr.com/v1/competence/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \ --header 'content-type: application/json' \ --data '{"name":"string","description":"string","scope":{"excludeEmployeeScope":"[]","employeeScope":"[]","officeScope":"[]","groupScope":"[]","organizationScope":"[]","employmentTypeScope":"[]","entireCompany":true,"teamScope":"[]","filters":"[]","static":true},"isRequired":true}'
{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
}Replace One Competence
| id required | string Resource Id Example: 507f1f77bcf86cd799439011 |
| name | string |
| description | string |
object (UpdateScopeRequest) | |
| isRequired | boolean |
curl --request PUT \ --url https://api.alexishr.com/v1/competence/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \ --header 'content-type: application/json' \ --data '{"name":"string","description":"string","scope":{"excludeEmployeeScope":"[]","employeeScope":"[]","officeScope":"[]","groupScope":"[]","organizationScope":"[]","employmentTypeScope":"[]","entireCompany":true,"teamScope":"[]","filters":"[]","static":true},"isRequired":true}'
{- "status": "ok",
- "data": {
- "id": "string",
- "companyId": "string",
- "type": "string",
- "name": "string",
- "description": "string",
- "scopeId": "string",
- "isRequired": true
}
}Delete One Competence
| id required | string Resource Id Example: 507f1f77bcf86cd799439011 |
curl --request DELETE \ --url https://api.alexishr.com/v1/competence/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": { }
}